OpenTTD

Functions | Variables
cargopacket_sl.cpp File Reference

Code handling saving and loading of cargo packets. More...

`#include "../stdafx.h"`
`#include "../vehicle_base.h"`
`#include "../station_base.h"`
`#include "saveload.h"`
`#include "../safeguards.h"`

Go to the source code of this file.

## Functions
const SaveLoad * | GetCargoPacketDesc ()
| Wrapper function to get the CargoPacket's internal structure while some of the variables itself are private. More...
static void | Save_CAPA ()
| Save the cargo packets.
static void | Load_CAPA ()
| Load the cargo packets.

## Variables
const ChunkHandler | _cargopacket_chunk_handlers []
| Chunk handlers related to cargo packets. More...

## Detailed Description

Code handling saving and loading of cargo packets.

Definition in file cargopacket_sl.cpp.

## Function Documentation

## ◆ GetCargoPacketDesc()

const SaveLoad* GetCargoPacketDesc | ( |  | ) |

Wrapper function to get the CargoPacket's internal structure while some of the variables itself are private.

We want this to be saved, right?

Returns
  the saveload description for CargoPackets.

Definition at line 94 of file cargopacket_sl.cpp.

References SLE_VAR, and CargoPacket::source.

## Variable Documentation

## ◆ _cargopacket_chunk_handlers

const ChunkHandler _cargopacket_chunk_handlers[]

Initial value:
= {
{ 'CAPA', Save_CAPA, Load_CAPA, NULL, NULL, CH_ARRAY | CH_LAST},
}
Save_CAPA
static void Save_CAPA()
Save the cargo packets.
Definition: cargopacket_sl.cpp:117
Load_CAPA
static void Load_CAPA()
Load the cargo packets.
Definition: cargopacket_sl.cpp:130
CH_LAST
Last chunk in this array.
Definition: saveload.h:104

Chunk handlers related to cargo packets.

Referenced by Load_CAPA().